> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/49.-sorgu-fieldsatelliteimage-ten-izgara-verisi-al.md).

# 49. Sorgu: "FieldSatelliteImage"ten ızgara verisi al

Raster veri kümesinden "FieldSatelliteImage" ile ilgili ızgaralanmış verileri almak için sorgu olarak `GEOJSON`  noktalar ile veya `GEOTIFF`. properties özniteliği sağlayıcıya bağlıdır ve genellikle nokta/piksel başına orijinal sağlayıcı verilerini (ör. KIRMIZI, YEŞİL, MAVİ, KIZILÖTESİ ve hatta Temiz Arazi) içerir. Dışa aktarılan dosyayla ilgili daha fazla ayrıntı [BURADA](/geopard-tutorials/tr/urun-turu-web-uygulamasi/disa-aktar-indir/uydu-goruntusunu-geotiff-veya-geojson-olarak-disa-aktar.md).

#### 1. Dışa aktarmak için bir dosya isteyin

{% hint style="danger" %}
Sadece tek bir veri kümesi almak önerilir `sourceDataUrl` istek başına.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, ve `MinusTwoPixels` olarak kullanılabilir `tampon`.

`GEOJSON` ve `GEOTIFF` bir format olarak mevcuttur.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Oluşturulan dosyayı indirin

Dosya başarıyla hazırlandıktan sonra, şu komut kullanılarak indirilebilir `curl` veya benzeri bir yaklaşımla.

{% hint style="danger" %}
`sourceDataUrl` link yalnızca erişilebilir **60 sn.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-isteklerine-genel-bakis/49.-sorgu-fieldsatelliteimage-ten-izgara-verisi-al.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
